/* Templates */


/* Template status */


/* Template states */


/* Commands */


/* Situations */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Agent_Not_Ready_Warn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140011000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Automation_Environment.Status *EQ NotReady *AND *VALU
E Automation_Environment.Role *EQ Agent ) *OR ( *VALUE Automation_Enviro
nment.Status *EQ Unknown *AND *VALUE Automation_Environment.Role *EQ Age
nt ) )",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Agent_Not_Ready_Warn",
   "Automation agent is not ready or in an unknown status.",
   "NNN",
   "ATOM=KAHPLEX.PLEXMNAM;~",
   "The automation agent is not ready or in an unknown status. It means 
that the automation agent is initializing but has not yet received the A
CF_LOAD order from the automation manager or the automation agent could 
not load the ACF as requested by the automation manager, most likely due
 to an ACF token mismatch.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_CM_SevMsg_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000800000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303173704000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Critical_Messages.Severity *EQ Critical ) *OR ( *VALU
E Critical_Messages.Severity *EQ Important ) )",
   "E",
   "0",
   "001500",
   "*NONE",
   "Kah_CM_SevMsg_Crit",
   "Critical messages of severity Critical",
   "NNN",
   "~",
   "A message defined by the automation as IMPORTANT or CRITICAL was iss
ued on a system. Please, follow the message description or your installa
tion guidelines how to respond to this message.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_CM_SevMsg_Info";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000800000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303173656000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Critical_Messages.Severity *EQ Unusual",
   "E",
   "0",
   "001500",
   "*NONE",
   "Kah_CM_SevMsg_Info",
   "Critical messages of severity Informational",
   "NNN",
   "~",
   "This message is not defined in the automation. Please, consider to a
dd this message to the SA z/OS automation policy and assign an appropria
te severity.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_GW_Bad_Status_Warn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000800000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303173629000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Gateway_Connections.Status *EQ BadDomain ) *OR ( *VAL
UE Gateway_Connections.Status *EQ InvOpid ) *OR ( *VALUE Gateway_Connect
ions.Status *EQ Sessfail ) )",
   "E",
   "0",
   "001500",
   "*NONE",
   "Kah_GW_Bad_Status_Warn",
   "Gateway connection status in bad state",
   "NNN",
   "~",
   "A BadDomain status indicates that the logon to the target domain fai
led. Check your SA z/OS  GATEWAY automation policy and verify that the t
arget domain is defined correctly. An InvalidOpid status indicates that 
the automation operator used for automated function GATOPER  does not ex
ist on the target domain. Use of identical DSIOPF-definitions for all sy
stems (see  AOFOPFGW) is recommended. A SessFail status indicates a netw
ork problem. Check your SNA or TCP/IP connectivity.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Mtr_Health_Status_Crit";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140015000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Monitor_Resources.Health *EQ Fatal",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Mtr_Health_Status_Crit",
   "Monitor resource health status is FATAL.",
   "NNN",
   "ATOM=KAHMTRL.MTRLMNM;~",
   "The health status of the objects that the monitor is watching is FAT
AL. This implies that the monitor is active. Refer to the monitor resour
ce details for more information about the health status.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Mtr_Health_Status_Info";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140020000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Monitor_Resources.Health *EQ Ignore ) *OR ( *VALUE Mo
nitor_Resources.Health *EQ NA ) *OR ( *VALUE Monitor_Resources.Health *E
Q SysGone ) *OR ( *VALUE Monitor_Resources.Health *EQ Unknown ) )",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Mtr_Health_Status_Info",
   "Monitor resource health status is UNKNOWN.",
   "NNN",
   "ATOM=KAHMTRL.MTRLMNM;~",
   "The health status of the objects that the monitor is watching is nei
ther NORMAL, WARNING, MINOR, CRITICAL, nor FATAL. Refer to the monitor r
esource details for more information about the health status. When the h
ealth status is unknown, the monitor resource is active but has not yet 
obtained the health status from any of its monitored objects.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Mtr_Health_Status_Warn";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140024000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Monitor_Resources.Health *EQ Critical ) *OR ( *VALUE 
Monitor_Resources.Health *EQ Minor ) *OR ( *VALUE Monitor_Resources.Heal
th *EQ Warning ) )",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Mtr_Health_Status_Warn",
   "Monitor resource health status is CRITICAL, MINOR, or WARNING.",
   "NNN",
   "ATOM=KAHMTRL.MTRLMNM;~",
   "The health status of the objects that the monitor is watching is eit
her CRITICAL, MINOR, or WARNING. CRITICAL is more severe than MINOR and 
MINOR is more severe than WARNING. This implies that the monitor is acti
ve. Refer to the monitor resource details for more information about the
 health status.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Mtr_Resource_Status_Crit
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140029000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Monitor_Resources.Status *EQ Broken",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Mtr_Resource_Status_Crit",
   "Monitor resource automation status is BROKEN.",
   "NNN",
   "ATOM=KAHMTRL.MTRLMNM;~",
   "The monitor and its recovery failed. This is a permanent condition. 
The monitor is no longer invoked. Refer to the monitor resource details 
for more information about why the monitor failed. To restart the monito
r, invoke the DISPMTR NetView panel and select code 'A' to reset the mon
itor to status INACTIVE.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Mtr_Resource_Status_Warn
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140034000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Monitor_Resources.Status *EQ Failed",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Mtr_Resource_Status_Warn",
   "Monitor resource automation status is FAILED.",
   "NNN",
   "ATOM=KAHMTRL.MTRLMNM;~",
   "The monitor failed. Recovery might be in progress. No acceptable hea
lth status is provided. Refer to the monitor resource details for more i
nformation about why the monitor failed. The monitor keeps running.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_OM_Authorization_Warn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000800000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140110000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE OMEGAMON_Sessions.Session_Status *EQ AuthFail",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_OM_Authorization_Warn",
   "SA z/OS OMEGAMON classic session authorization failure.",
   "NNN",
   "ATOM=KAHOMLST.OMLSESSN;~",
   "A request was issued for an OMEGAMON classic session but the session
 could not be established due to an authorization failure. The OMEGAMON 
sessions workspace provides further information about the security setti
ngs for this session. Refer to the NetView netlog for additional diagnos
is information.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_OM_Session_Failure_Warn"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000800000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140114000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE OMEGAMON_Sessions.Session_Status *EQ SessFail",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_OM_Session_Failure_Warn",
   "SA z/OS OMEGAMON classic session failure occurred.",
   "NNN",
   "ATOM=KAHOMLST.OMLSESSN;~",
   "A request was issued for an OMEGAMON classic session but the session
 could not be established due to a session failure.  The OMEGAMON sessio
ns workspace provides further information about the type of session and 
its VTAM application ID. Refer to the NetView netlog for additional diag
nosis information.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Oper_Requests_Exist_Info
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140038000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Resource_Requests.Operator_Request *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "Kah_Oper_Requests_Exist_Info",
   "Operator requests do exist.",
   "NNN",
   "~",
   'One or more requests that stem from operators do exist. This is not 
an unusual situation but because normally the status of resources is con
trolled by the automation policy, you should validate from time to time 
that those requests are still valid. Visit the Resource Requests workspa
ce and look for requests with a non-blank User column. If the request sh
ould no longer exist, remove it with the NetView "INGREQ resource REQ=CA
NCEL" request.',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Resource_Health_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140043000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Resource_List.Health_Status *EQ Fatal",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Resource_Health_Crit",
   "The health status of the resource is FATAL.",
   "NNN",
   "ATOM=KAHRLST.RSCNAME;~",
   "Check resource details for this particular resource for additional i
nformation. An active monitor resource (MTR) has detected that the monit
ored object's health has degraded.  FATAL is more severe than CRITICAL. 
If this resource is not a monitor  resource, refer to the resource detai
ls of the associated monitor resources for additional information why th
e health status turned to FATAL.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Resource_Health_Warn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140048000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Resource_List.Health_Status *EQ Critical ) *OR ( *VAL
UE Resource_List.Health_Status *EQ Minor ) *OR ( *VALUE Resource_List.He
alth_Status *EQ Warning ) )",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Resource_Health_Warn",
   "The health status of the resource is degraded.",
   "NNN",
   "ATOM=KAHRLST.RSCNAME;~",
   "Check resource details for this particular resource for additional i
nformation. An active monitor resource (MTR) has detected that the monit
ored object's health has degraded.  CRITICAL is more severe than MINOR a
nd MINOR is more severe than WARNING. If this resource is not a monitor 
resource, refer to the resource details of the associated monitor resour
ces for additional information why the health status turned to either CR
ITICAL, MINOR, or WARNING.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Cr
it";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140054000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Resource_List.Compound_Status *EQ Problem",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Rsrc_Not_Satisfactory_Crit",
   "An automation resource has a non-satisfactory compound status.",
   "NNN",
   "ATOM=KAHRLST.RSCNAME;~",
   "Check resource details for this particular resource for additional i
nformation. There is a problem with this resource that automation cannot
 solve. Operator intervention is required. If the resource is associated
 with one or more monitor resources, the health status of any such resou
rce turned to FATAL. Resource details for such monitor resources will pr
ovide additional hints why the health status is FATAL.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_In
fo";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140100000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Resource_List.Compound_Status *EQ Awaiting ) *OR ( *V
ALUE Resource_List.Compound_Status *EQ Denied ) *OR ( *VALUE Resource_Li
st.Compound_Status *EQ InAuto ) *OR ( *VALUE Resource_List.Compound_Stat
us *EQ Inhibited ) )",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Rsrc_Not_Satisfactory_Info",
   "An automation resource has a non-satisfactory compound status.",
   "NNN",
   "ATOM=KAHRLST.RSCNAME;~",
   "Check resource details for this particular resource for additional i
nformation.  Possible compound states are INHIBITED, DENIED, AWAITING, a
nd INAUTO. Please, refer to the online documentation for further details
 and possible checks you can make to solve the issue.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Wa
rn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303140105000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Resource_List.Compound_Status *EQ Degraded",
   "E",
   "0",
   "000500",
   "*NONE",
   "Kah_Rsrc_Not_Satisfactory_Warn",
   "An automation resource has a non-satisfactory compound status.",
   "NNN",
   "ATOM=KAHRLST.RSCNAME;~",
   "Check resource details for this particular resource for additional i
nformation. The resource is either starting or stopping, or it is suffer
ing from a performance or throughput problem (corresponding to the autom
ation agent status HALTED). For a group resource this means that it is p
artially running, not all of the members necessary to meet the availabil
ity target are active. The resource may be associated with one or more m
onitor resources. Refer to the monitor resource details for further info
rmation.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_WTOR_SevMsg_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303173445000",
   "V100",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE Outstanding_WTORs.Severity *EQ CRITICAL ) *OR ( *VALU
E Outstanding_WTORs.Severity *EQ IMPORTANT ) )",
   "E",
   "0",
   "001500",
   "*NONE",
   "Kah_WTOR_SevMsg_Crit",
   "WTOR messages of severity Critical",
   "NNN",
   "~",
   "A message defined by the automation as IMPORTANT or CRITICAL was iss
ued on a system. Please, follow the message description or your installa
tion guidelines how to respond to this message.",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "Kah_WTOR_SevMsg_Info";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000080000000000000########F",
   "",
   "*NO",
   "",
   "de_DE",
   "1090303173506000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE Outstanding_WTORs.Severity *EQ UNUSUAL",
   "E",
   "0",
   "001500",
   "*NONE",
   "Kah_WTOR_SevMsg_Info",
   "WTOR messages of severity Informational",
   "NNN",
   "~",
   "This message is not defined in the automation. Please, consider to a
dd this message to the SA z/OS automation policy and assign an appropria
te severity.",
   "*NONE"
  );


/* Object activation list */
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Agent_Not_Ready_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Agent_Not_Ready_Warn",
   "Y",
   "1070115080133000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_AGENT" AND OBJNAME = "
Kah_CM_SevMsg_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_AGENT",
   "Kah_CM_SevMsg_Crit",
   "Y",
   "1090303173704000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_AGENT" AND OBJNAME = "
Kah_CM_SevMsg_Info" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_AGENT",
   "Kah_CM_SevMsg_Info",
   "Y",
   "1090303173656000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_AGENT" AND OBJNAME = "
Kah_GW_Bad_Status_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_AGENT",
   "Kah_GW_Bad_Status_Warn",
   "Y",
   "1090303173629000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Mtr_Health_Status_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Mtr_Health_Status_Crit",
   "Y",
   "1070115080650000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Mtr_Health_Status_Info" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Mtr_Health_Status_Info",
   "Y",
   "1070115081120000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Mtr_Health_Status_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Mtr_Health_Status_Warn",
   "Y",
   "1070115081402000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Mtr_Resource_Status_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Mtr_Resource_Status_Crit",
   "Y",
   "1070115081714000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Mtr_Resource_Status_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Mtr_Resource_Status_Warn",
   "Y",
   "1070115081908000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_AGENT" AND OBJNAME = "
Kah_OM_Authorization_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_AGENT",
   "Kah_OM_Authorization_Warn",
   "Y",
   "1070115082521000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_AGENT" AND OBJNAME = "
Kah_OM_Session_Failure_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_AGENT",
   "Kah_OM_Session_Failure_Warn",
   "Y",
   "1070115082716000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Oper_Requests_Exist_Info" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Oper_Requests_Exist_Info",
   "Y",
   "1070116124337000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Resource_Health_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Resource_Health_Crit",
   "Y",
   "1070112205809000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Resource_Health_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Resource_Health_Warn",
   "Y",
   "1070115083330000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Rsrc_Not_Satisfactory_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Rsrc_Not_Satisfactory_Crit",
   "Y",
   "1070115083557000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Rsrc_Not_Satisfactory_Info" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Rsrc_Not_Satisfactory_Info",
   "Y",
   "1070115083851000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_Rsrc_Not_Satisfactory_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_Rsrc_Not_Satisfactory_Warn",
   "Y",
   "1070115084018000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_WTOR_SevMsg_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_WTOR_SevMsg_Crit",
   "Y",
   "1090303173445000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*SA_ZOS_PLEX" AND OBJNAME = "K
ah_WTOR_SevMsg_Info" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*SA_ZOS_PLEX",
   "Kah_WTOR_SevMsg_Info",
   "Y",
   "1090303173506000",
   "",
   "",
   "5140"
  );


/* Policies */


/* Policy activities */
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1170"
    WHERE SITNAME = "Kah_Agent_Not_Ready_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Agent_Not_Ready_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1171"
    WHERE SITNAME = "Kah_CM_SevMsg_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_CM_SevMsg_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1172"
    WHERE SITNAME = "Kah_CM_SevMsg_Info";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_CM_SevMsg_Info";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1173"
    WHERE SITNAME = "Kah_GW_Bad_Status_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_GW_Bad_Status_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1174"
    WHERE SITNAME = "Kah_Mtr_Health_Status_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Mtr_Health_Status_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1175"
    WHERE SITNAME = "Kah_Mtr_Health_Status_Info";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Mtr_Health_Status_Info";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1176"
    WHERE SITNAME = "Kah_Mtr_Health_Status_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Mtr_Health_Status_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1177"
    WHERE SITNAME = "Kah_Mtr_Resource_Status_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Mtr_Resource_Status_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1178"
    WHERE SITNAME = "Kah_Mtr_Resource_Status_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Mtr_Resource_Status_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1179"
    WHERE SITNAME = "Kah_OM_Authorization_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_OM_Authorization_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1180"
    WHERE SITNAME = "Kah_OM_Session_Failure_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_OM_Session_Failure_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1181"
    WHERE SITNAME = "Kah_Oper_Requests_Exist_Info";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Oper_Requests_Exist_Info";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1182"
    WHERE SITNAME = "Kah_Resource_Health_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Resource_Health_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1183"
    WHERE SITNAME = "Kah_Resource_Health_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Resource_Health_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1184"
    WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1185"
    WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Info";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Info";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1186"
    WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_Rsrc_Not_Satisfactory_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1187"
    WHERE SITNAME = "Kah_WTOR_SevMsg_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_WTOR_SevMsg_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kah:KAH09120BD1188"
    WHERE SITNAME = "Kah_WTOR_SevMsg_Info";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kah:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Kah_WTOR_SevMsg_Info";
